### Method

# Gtk.TextBuffer.delete_interactive

#### Declaration [src]

    gboolean
    gtk_text_buffer_delete_interactive (
      GtkTextBuffer* buffer,
      GtkTextIter* start_iter,
      GtkTextIter* end_iter,
      gboolean default_editable
    )

#### Description [src]

Deletes all editable text in the given range.

Calls `gtk_text_buffer_delete()` for each editable sub-range of [`start`,`end`). `start` and `end` are revalidated to point to the location of the last deleted range, or left untouched if no text was deleted.

#### Parameters

`start_iter` | `GtkTextIter`
| start of range to delete
| Ownership is not transferred to the callee
`end_iter` | `GtkTextIter`
| end of range
| Ownership is not transferred to the callee
`default_editable` | `gboolean`
| whether the buffer is editable by default

#### Return value

Returns: `gboolean`
whether some text was actually deleted